#!/bin/bash

BIN=application
HDN=hidden

CFLAGS='-Wall -Wextra'

echo -n " [*] Compiling demo app... "
${CC} ${CFLAGS} ${BIN}.c -o ${BIN}
echo "DONE"

echo -n " [*] Compiling hidden code... "
${CC} ${CFLAGS} ${HDN}.c -o ${HDN}
echo "DONE"

echo -n " [*] Calculating size... "
size="`stat -c %s ${HDN}`"
echo "${size}"

echo -n " [*] Injecting hidden code to demo app... "
cat ${HDN} >> ${BIN}
echo "DONE"

echo -n " [*] Cleaning up... "
rm -rf ${HDN} .${BIN}
echo "DONE"

echo "Runing demo:"
echo "./${BIN} ${size} :"
./${BIN} ${size}

rm ${BIN}
