/*
Kernel space sniffer.
Guidelines used: Rootkits, subverting the windows kernel
 NT Rootkit
Made by: DiabloHorn
Purpose: Sniff data and filter it on text.
Thanks to: n0limit,BackBon3
*/
#include "ntddk.h"
#define NDIS40 1

#include "ndis.h"
#include "stdio.h"
#include "string.h"

#include "ndsniff.h"

NTSTATUS DriverEntry(IN PDRIVER_OBJECT theDriverObject, IN PUNICODE_STRING theRegistryPath)
{
UINTaMediumIndex = 0;
NDIS_STATUSaStatus,anErrorStatus;
NDIS_MEDIUMaMediumArray=NdisMedium802_3; // specifies a ethernet network
UNICODE_STRINGanAdapterName;
NDIS_PROTOCOL_CHARACTERISTICSaProtocolChar;
//This string must match that specified in the registery (under Services) when the protocol was installed
NDIS_STRINGaProtoName=NDIS_STRING_CONST("ndsniff");

DbgPrint("Loading NDIS Sniffer\n");

RtlInitUnicodeString(&anAdapterName,L"\\Device\\{449F621A-04BC-4896-BBCB-7A93708EA9B8}");
NdisInitializeEvent(&gCloseWaitEvent);
theDriverObject->DriverUnload = OnUnload;

RtlZeroMemory(&aProtocolChar,sizeof(NDIS_PROTOCOL_CHARACTERISTICS  ));

aProtocolChar.MajorNdisVersion= 4;
aProtocolChar.MinorNdisVersion= 0;
aProtocolChar.Reserved= 0;
aProtocolChar.OpenAdapterCompleteHandler= OnOpenAdapterDone;
aProtocolChar.CloseAdapterCompleteHandler= OnCloseAdapterDone;
aProtocolChar.SendCompleteHandler= OnSendDone;
aProtocolChar.TransferDataCompleteHandler= OnTransferDataDone;
aProtocolChar.ResetCompleteHandler= OnResetDone;
aProtocolChar.RequestCompleteHandler= OnRequestDone;
aProtocolChar.ReceiveHandler= OnReceiveStub;
aProtocolChar.ReceiveCompleteHandler= OnReceiveDoneStub;
aProtocolChar.StatusHandler= OnStatus;
aProtocolChar.StatusCompleteHandler= OnStatusDone;
aProtocolChar.Name= aProtoName;
aProtocolChar.BindAdapterHandler= OnBindAdapter;
aProtocolChar.UnbindAdapterHandler= OnUnBindAdapter;
aProtocolChar.UnloadHandler= OnProtocolUnload;
aProtocolChar.ReceivePacketHandler= OnReceivePacket;
aProtocolChar.PnPEventHandler= OnPNPEvent;

DbgPrint("Going to register Protocol");

NdisRegisterProtocol(&aStatus,&gNdisProtocolHandle,&aProtocolChar,sizeof(NDIS_PROTOCOL_CHARACTERISTICS  ));

if(aStatus != NDIS_STATUS_SUCCESS)
{
char _t[255];
_snprintf(_t,253,"DriverEntry: ERROR NdisRegisterProtocol failed with error 0x%08X",aStatus);
DbgPrint("%s\n",_t);
return aStatus;
}

NdisOpenAdapter(&aStatus,&anErrorStatus,&gAdapterHandle,&aMediumIndex,&aMediumArray,1,gNdisProtocolHandle,&gUserStruct,&anAdapterName,0,NULL);

if(aStatus != NDIS_STATUS_SUCCESS)
{
if(FALSE == NT_SUCCESS(aStatus))
{
char _t[255];
_snprintf(_t,253,"ndSniff: NdisOpenAdapter returned an error 0x%08X",aStatus);
DbgPrint("%s\n",_t);

if(NDIS_STATUS_ADAPTER_NOT_FOUND == aStatus)
{
DbgPrint("Adapter Not Found\n");
}

NdisDeregisterProtocol(&aStatus,gNdisProtocolHandle);

if(FALSE == NT_SUCCESS(aStatus))
{
DbgPrint("Deregister Protocol Failed\n");
}

//use for win ce according to rootkit book

//NdisFreeEvent(gCloseWaitEvent);

return STATUS_UNSUCCESSFUL;
}
else
{
OnOpenAdapterDone(&gUserStruct,aStatus,NDIS_STATUS_SUCCESS);
}
}

return STATUS_SUCCESS;
}

VOID OnOpenAdapterDone(IN NDIS_HANDLE ProtocolBindingContext,IN NDIS_STATUS Status,IN NDIS_STATUS OpenErrorStatus)
{
NDIS_STATUSaStatus;
NDIS_REQUESTanNdisRequest;
NDIS_STATUSanotherStatus;
ULONGaMode = NDIS_PACKET_TYPE_ALL_LOCAL; //NDIS_PACKET_TYPE_PROMISCUOUS;

DbgPrint("ndSniff: OnOpenAdapterDone called\n");

if(NT_SUCCESS(OpenErrorStatus))
{
//k card goes into aMode
anNdisRequest.RequestType = NdisRequestSetInformation;
anNdisRequest.DATA.SET_INFORMATION.Oid = OID_GEN_CURRENT_PACKET_FILTER;
anNdisRequest.DATA.SET_INFORMATION.InformationBuff  er = &aMode;
anNdisRequest.DATA.SET_INFORMATION.InformationBuff  erLength = sizeof(ULONG);

NdisRequest(&anotherStatus,gAdapterHandle,&anNdisRequest);

NdisAllocatePacketPool(&aStatus,&gPacketPoolH,TRANSMIT_PACKETS,sizeof(PACKET_RESERV  ED));

if(aStatus != NDIS_STATUS_SUCCESS)
{
return;
}

NdisAllocateBufferPool(&aStatus,&gBufferPoolH,TRANSMIT_PACKETS);

if(aStatus != NDIS_STATUS_SUCCESS)
{
return;
}
}
else
{
char _t[255];
_snprintf(_t,253,"ndSniff: OpenAdapterDone called with error 0x%08X",OpenErrorStatus);
DbgPrint("%s\n",_t);
}
}

VOID OnCloseAdapterDone(IN NDIS_HANDLE ProtocolBindingContext,IN NDIS_STATUS Status)
{
DbgPrint("ndSniff: OnClosAdapterDone called\n");
NdisSetEvent(&gCloseWaitEvent);
}

VOID OnSendDone(IN NDIS_HANDLE ProtocolBindingContext,IN PNDIS_PACKET pPacket,IN NDIS_STATUS Status)
{
DbgPrint("ndSniff OnSendDone called\n");
}

VOID OnTransferDataDone(IN NDIS_HANDLE thePBindingContext,IN PNDIS_PACKET thePacketp, IN NDIS_STATUS theStatus,IN UINT theBytesTransfered)
{
PNDIS_BUFFER aNdisBufP;
PVOID aBufferP;
ULONG aBufferLen;
PVOID aHeaderBufferP;
ULONG aHeaderBufferLen;

DbgPrint("ndSniff OnTransferDataDone called\n");

aBufferP = RESERVED(thePacketp)->pBuffer;
aBufferLen = theBytesTransfered;
aHeaderBufferP = RESERVED(thePacketp)->pHeaderBufferP;
aHeaderBufferLen = RESERVED(thePacketp)->pHeaderBufferLen;

/*
aHeaderBufferP = Ethernet Header
aBufferP tcp/ip
*/

if(aBufferP && aHeaderBufferP)
{
ULONG aPos = 0;
char *aPtr = NULL;

aPtr = ExAllocatePool(NonPagedPool,(aHeaderBufferLen + aBufferLen));

if(aPtr)
{
memcpy(aPtr,aHeaderBufferP,aHeaderBufferLen);
memcpy(aPtr + aHeaderBufferLen,aBufferP,aBufferLen);

/* woei complete packet, parse it*/
OnSniffedPacket(aPtr,(aHeaderBufferLen + aBufferLen));
ExFreePool(aPtr);
}
ExFreePool(aBufferP);
ExFreePool(aHeaderBufferP);
}
NdisUnchainBufferAtFront(thePacketp,&aNdisBufP);
if(aNdisBufP)
{
NdisFreeBuffer(aNdisBufP);
}

NdisReinitializePacket(thePacketp);
NdisFreePacket(thePacketp);
return;
}

NDIS_STATUS OnReceiveStub(IN NDIS_HANDLE ProtocolBindingContext,IN NDIS_HANDLE MacReceiveContext,IN PVOID HeaderBuffer,IN UINT HeaderBufferSize,IN PVOID LookAheadBuffer,IN UINT LookaheadBufferSize,UINT PacketSize)
{
PNDIS_PACKETpPacket;
PNDIS_BUFFERpBuffer;
ULONGSizeToTransfer = 0;
NDIS_STATUSStatus;
UINTBytesTransfered;
ULONGBufferLength;
PPACKET_RESERVED Reserved;
NDIS_HANDLEBufferPool;
PVOIDaTemp;
UINTFrame_Type=0;

DbgPrint("ndSniff OnReceiveStub called\n");

SizeToTransfer = PacketSize;

if(HeaderBufferSize > ETHERNET_HEADER_LENGTH || (SizeToTransfer > (1514 - ETHERNET_HEADER_LENGTH)))
{
DbgPrint("OnReceiveStub: packet not accepted\n");
return NDIS_STATUS_NOT_ACCEPTED;
}

memcpy(&Frame_Type,(((char *)HeaderBuffer) + 12),2);

if(Frame_Type != 0x0008)
{
DbgPrint("NON EthernetHeader\n");
return NDIS_STATUS_NOT_ACCEPTED;
}

aTemp = ExAllocatePool(NonPagedPool,(1514 - ETHERNET_HEADER_LENGTH));

if(aTemp)
{
RtlZeroMemory(aTemp,(1514 - ETHERNET_HEADER_LENGTH));
NdisAllocatePacket(&Status,&pPacket,gPacketPoolH);

if(NDIS_STATUS_SUCCESS == Status);
{
RESERVED(pPacket)->pHeaderBufferP = ExAllocatePool(NonPagedPool,ETHERNET_HEADER_LENGTH  );

if(RESERVED(pPacket)->pHeaderBufferP)
{
RtlZeroMemory(RESERVED(pPacket)->pHeaderBufferP,ETHERNET_HEADER_LENGTH);
memcpy(RESERVED(pPacket)->pHeaderBufferP,(char *)HeaderBuffer,ETHERNET_HEADER_LENGTH);
RESERVED(pPacket)->pHeaderBufferLen = ETHERNET_HEADER_LENGTH;
NdisAllocateBuffer(&Status,&pBuffer,gBufferPoolH,aTemp,(1514 - ETHERNET_HEADER_LENGTH));

if(NDIS_STATUS_SUCCESS == Status)
{
RESERVED(pPacket)->pBuffer = aTemp;

/*this is important here we attach the buffer to the packet*/

NdisChainBufferAtFront(pPacket,pBuffer);
NdisTransferData(&(gUserStruct.mStatus),gAdapterHandle,MacReceiveCon  text,0,SizeToTransfer,pPacket,&BytesTransfered);

if(Status != NDIS_STATUS_PENDING)
{
/*important to call the complete routine since it's not pending*/
OnTransferDataDone(&gUserStruct,pPacket,Status,BytesTransfered);
}

return NDIS_STATUS_SUCCESS;
}

ExFreePool(RESERVED(pPacket)->pHeaderBufferP);
}
else
{
DbgPrint("pHeaderBufferP allocate failed\n");
}
NdisFreePacket(pPacket);
}
ExFreePool(aTemp);
}

return NDIS_STATUS_SUCCESS;
}

VOID OnReceiveDoneStub(IN NDIS_HANDLE ProtocolBindingContext)
{
DbgPrint("ndSniff OnReceiveStubDone called\n");
return;
}

VOID OnStatus(IN NDIS_HANDLE ProtocolBindingContext,IN NDIS_STATUS Status,IN PVOID StatusBuffer,IN UINT StatusBufferSize)
{
DbgPrint("ndSniff OnStatus called\n");
return;
}

VOID OnStatusDone(IN NDIS_HANDLE ProtocolBindingContext)
{
DbgPrint("ndSniff OnStatusDone called\n");
return;
}

VOID OnResetDone(IN NDIS_HANDLE ProtocolBindingContext,IN NDIS_STATUS Status)
{
DbgPrint("ndSniff OnResetDone called\n");
return;
}

VOID OnRequestDone(IN NDIS_HANDLE ProtocolBindingContext,IN PNDIS_REQUEST NdisRequest,IN NDIS_STATUS Status)
{
DbgPrint("ndSniff OnRequestDone called\n");
return;
}

VOID OnBindAdapter(OUT PNDIS_STATUS theStatus,IN NDIS_HANDLE theBindContext,IN PNDIS_STRING theDeviceNameP,IN PVOID theSS1,IN PVOID theSS2)
{
DbgPrint("ndSniff OnBindAdapter called\n");
return;
}

VOID OnUnBindAdapter(OUT PNDIS_STATUS theStatus,IN NDIS_HANDLE theBindContext,IN PNDIS_HANDLE theUnbindContext)
{
DbgPrint("ndSniff OnUnBindAdapter called\n");
return;
}

NDIS_STATUS OnPNPEvent(IN NDIS_HANDLE ProtocolBindingContext,IN PNET_PNP_EVENT pNetPnPEvent)
{
DbgPrint("ndSniff OnPNPEvent called\n");
return NDIS_STATUS_SUCCESS;
}

VOID OnProtocolUnload(VOID)
{
DbgPrint("ndSniff OnProtocolUnload called\n");
return;
}

INT OnReceivePacket(IN NDIS_HANDLE ProtocolBindingContext,IN PNDIS_PACKET Packet)
{
DbgPrint("ndSniff OnReceivePacket called\n");
return 0;
}

VOID OnUnload(IN PDRIVER_OBJECT DriverObject)
{
NDIS_STATUS Status;
DbgPrint("ndSniff: OnUnload called\n");
NdisResetEvent(&gCloseWaitEvent);

NdisCloseAdapter(&Status,gAdapterHandle);

if(Status == NDIS_STATUS_PENDING)
{
DbgPrint("NDIS BUSY\n");
NdisWaitEvent(&gCloseWaitEvent,0);
}

NdisDeregisterProtocol(&Status,gNdisProtocolHandle);

if(FALSE == NT_SUCCESS(Status))
{
DbgPrint("Deregister failed\n");
}

DbgPrint("NdisDeregisterProtocol done\n");
}

/*
From here on we analyze the packets
*/
VOID OnSniffedPacket(const char* theData,int theLen)
{
int i;
PACKET_TCP rPacketT;
PACKET_UDP rPacketU;
PACKET_ICMP rPacketI;

IP_HDR *ip = (IP_HDR *)((char *)theData + sizeof(ETH_HDR));
DbgPrint("PROTOBEFORE:: %i\n",ip->proto);
if(IPPROTO_TCP == ip->proto)
{
int i;
rPacketT.ethHdr = (ETH_HDR *)theData;
rPacketT.ipHdr = (IP_HDR *)(theData+ sizeof(ETH_HDR));
rPacketT.tcpHdr = (TCP_HDR *)(theData+(sizeof(ETH_HDR) + sizeof(IP_HDR)));
rPacketT.data = (unsigned char *) (theData + sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(TCP_HDR));
rPacketT.dataLen = (theLen - (sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(TCP_HDR)));

DbgPrint("TCP\n");

if(findStr(rPacketT.data,"hacker"))
{
DbgPrint("TRUE\n");
}
else
{
DbgPrint("FALSE\n");
}
return;
}
else if(IPPROTO_UDP == ip->proto)
{
int i;
rPacketU.ethHdr = (ETH_HDR *)theData;
rPacketU.ipHdr = (IP_HDR *)(theData+ sizeof(ETH_HDR));
rPacketU.udpHdr = (UDP_HDR *)(theData+(sizeof(ETH_HDR) + sizeof(IP_HDR)));
rPacketU.data = (unsigned char *) (theData + sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(UDP_HDR));
rPacketU.dataLen = (theLen - (sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(UDP_HDR)));

DbgPrint("UDP\n");
if(findStr(rPacketT.data,"hacker"))
{
DbgPrint("TRUE\n");
}
else
{
DbgPrint("FALSE\n");
}

return;
}
else if(IPPROTO_ICMP == ip->proto)
{
int i;
rPacketI.ethHdr = (ETH_HDR *)theData;
rPacketI.ipHdr = (IP_HDR *)(theData+ sizeof(ETH_HDR));
rPacketI.icmpHdr = (ICMP_HDR *)(theData+(sizeof(ETH_HDR) + sizeof(IP_HDR)));
rPacketI.data = (unsigned char *) (theData + sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(ICMP_HDR));
rPacketI.dataLen = (theLen - (sizeof(ETH_HDR) + sizeof(IP_HDR) + sizeof(ICMP_HDR)));

DbgPrint("ICMP\n");

if(findStr(rPacketI.data,"ZXX"))
{
DbgPrint("TRUE\n");
}
else
{
DbgPrint("FALSE\n");
}
return;
}
else
{
/*
you can implement the rest of the protocols yourself.
*/
DbgPrint("UNDEFINED\n");
}
return;
}

/*thx to BackBon3 spared me the fiddling around*/
BOOLEAN findStr(const char *psz,const char *tofind)
{
const char *ptr = psz;
const char *ptr2;

    while(1)
{
ptr = strchr(psz,toupper(*tofind));
ptr2 = strchr(psz,tolower(*tofind));
if (!ptr)
{
ptr = ptr2; /* was ptr2 = ptr.  Big bug fixed 10/22/99 */
}
if (!ptr)
{
break;
}

if (ptr2 && (ptr2 < ptr))
{
ptr = ptr2;
}

if (!_strnicmp(ptr,tofind,strlen(tofind)))
{
return TRUE;
}

psz = ptr+1;
}

return FALSE;
} /* stristr */

/* TODO: AUTOGET ADAPTERNAME
HKLM\SYSTEM\CurrentControlSet\Service\Tcpip\Parame  ters\Interfaces\{number}

PWCHAR GetAdapterName()
{
PWCHAR AdapterName;
NTSTATUS ntStatus;
PHANDLE oHandle;

ntStatus = ZwOpenKey(&oHandle,FILE_READ_DATA,

}*/

